Bug 67196 - Apache upgrade should restart the server
Apache upgrade should restart the server
Status: CLOSED DUPLICATE of bug 67301
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-06-20 15:58 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-23 22:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-06-20 15:58:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
Apache 1.3.22-6 came out and was upgraded to via up2date. The httpd server
wasn't restarted and Apache after a number of hours tried to reread
mod_log_config.so. In the process the symbols had changed and the server crashed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade Apache from an older version to the latest version

Actual Results:  Server crashes

Expected Results:  Server to be restarted to prevent crash

Additional info:
Comment 1 Dave Miller 2002-06-23 22:32:52 EDT
The failure to restart the server after the upgrade I'm pretty sure isn't
responsible for your crash.  See bug 67224 and bug 67301.

However, it should still be restarted after a security update if for no other
reason than to make sure the security hole gets sealed in a timely manner.  If
we weren't running logrotate, we'd still be running the old insecure version of
Apache since it never got restarted.
Comment 2 Nathan G. Grennan 2002-06-23 23:21:54 EDT

*** This bug has been marked as a duplicate of 67301 ***
Comment 3 Dave Miller 2002-06-23 23:31:12 EDT
Chaos: I don't think this is a duplicate....   failure to attempt to restart the
server is different than the server crashing when you attempt to restart it. 
Can you reopen this?
Comment 4 Nathan G. Grennan 2002-06-24 00:16:57 EDT
Actually, the root problem was that the server crashed and it was caused by the
exact problem mentioned in the other bug. Restarting the server was just my
workaround with my past understanding. I do think that the web server should be
restarted, but I can mention that in the other bug report.

Note You need to log in before you can comment on or make changes to this bug.